Subject: RE: 3280bis: CRL validation

From: "Stefan Santesson" <[email-masked]>
Date: Fri, 17 Jun 2005 12:31:02 +0100

X.509 is just a technical standard and not a legal directive.
Any CA can use the X.509 standard to practically choose any way it wants
to name its subjects.

As protocol designers we need to take into account the possibility of
name collisions in unrelated but still trusted paths within the context
of the relying party.

Further,
I have an alternative to Denis view of case a) and b)

If we simply view every CRL in the context of the certificate we are
checking for validity, then we can have only 1 rule set (only one case
in terms of RP processing rules).

That is, the name of the CRL issuer should be viewed within the context
of the CA that issued the cert we are validating, and revocation
information related to other CAs is simply ignored.

Any restrictions on path relationship between CRL and certificate will
be enforced by the relying party solely in the context of the
certificate it validates.

Of natural necessity a CRL Issuer need to make sure that all CAs it
supports has different DNs.

/Stefan

> -----Original Message-----
> From: [email-masked]
[mailto:[email-masked]]
> On Behalf Of David Chadwick
> Sent: den 17 juni 2005 11:44
> To: Manger, James H
> Cc: pkix
> Subject: Re: 3280bis: CRL validation
> 
> 
> Oh dear. The same old problem of namespaces again. X.500 makes it very
> clear that there is only one namespace for all Distinguished names, so
> CAs cannot invent their own DNs in isolation to the rest of the world.
> If they do, then their domain is the entire universe of distinguished
> names and they cannot expect to interwork with any other CA without
> experiencing name collisions.
> 
> Twenty years ago we had the same problem with people inventing their
own
>   domain names and IP addresses on their LANs. Then they wondered why
> things did not work correctly when they tried to connect to the rest
of
> the world via the Internet. Surprise, surprise, they had to get
globally
> unique domain names and IP addresses in order to interwork properly.
> 
> It is the same today with CAs and X.500 distinguished names. Fullstop.
> End of discussion
> 
> regards
> 
> David
> 
> 
> 
> Manger, James H wrote:
> > Denis Pinkas wants to distinguish: * An indirect CRL that covers
> > certificates from only one CA; from * An indirect CRL that covers
> > certificates from more than one CA. David Cooper and Santosh
Chokhani
> > don't see this as a useful distinction.
> >
> >
> > Perhaps I can have a stab at why Denis might want the distinction.
> > It comes down to names and the namespace in which they are
> > unambiguous.  The minimal assumption is that names are only
> > unambiguous in the context of the CA that certified them.  That is,
a
> > CA defines its own namespace.
> >
> > With an indirect CRL covering certificates from only one CA, we can
> > chose that CA as the single namespace.  As long as all the names
> > being matched come from that namespace we have a CRL validation
> > solution with unambiguous names and no extra assumptions.  We can
> > achieve this if the CRL issuer's own certificate comes from that CA
> > (and the CA includes its own name in its own namespace).
> >
> > With an indirect CRL covering certificates from more than one CA
> > there is no longer a single CA to provide the namespace for all
names
> > being matched.  Consequently, the minimal assumption that names are
> > only unambiguous in the context of one CA is no longer sufficient.
> >
> > James
> >
> >
> 
> --
> 
> *****************************************************************
> David W. Chadwick, BSc PhD
> Professor of Information Systems Security
> The Computing Laboratory, University of Kent, Canterbury, CT2 7NF
> Tel: +44 1227 82 3221
> Fax +44 1227 762 811
> Mobile: +44 77 96 44 7184
> Email: [email-masked]
> Home Page: http://www.cs.kent.ac.uk/people/staff/dwc8/index.html
> Research Web site: http://sec.cs.kent.ac.uk
> Entrust key validation string: MLJ9-DU5T-HV8J
> PGP Key ID is 0xBC238DE5
> 
> *****************************************************************

---

From: [email-masked] (Peter Gutmann)
Date: Sat, 18 Jun 2005 00:22:02 +1200

"Stefan Santesson" <[email-masked]> writes:

>Any CA can use the X.509 standard to practically choose any way it wants to
>name its subjects.

Ah, so this is the relationship between a PKI and its users: they're merely
subjects that exist to pay tribute and to enhance the royal treasury by way of
certificate renewal fees.

 "What I resent is that you automatically treat me as if I were an inferior".

   "Well, I am a CA".

 "O-o-oh, 'CA', eh? Very nice".
 
   "Bloody peasants".

Peter.

---

From: "Santosh Chokhani" <[email-masked]>
Date: Fri, 17 Jun 2005 08:41:56 -0400

Stefan,

Agreed, specially with the last statement.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Stefan Santesson
Sent: Friday, June 17, 2005 7:31 AM
To: David Chadwick; Manger, James H
Cc: pkix
Subject: RE: 3280bis: CRL validation

X.509 is just a technical standard and not a legal directive. Any CA can use
the X.509 standard to practically choose any way it wants to name its
subjects.

As protocol designers we need to take into account the possibility of name
collisions in unrelated but still trusted paths within the context of the
relying party.

Further,

If we simply view every CRL in the context of the certificate we are
checking for validity, then we can have only 1 rule set (only one case in
terms of RP processing rules).

That is, the name of the CRL issuer should be viewed within the context of
the CA that issued the cert we are validating, and revocation information
related to other CAs is simply ignored.

Any restrictions on path relationship between CRL and certificate will be
enforced by the relying party solely in the context of the certificate it
validates.

Of natural necessity a CRL Issuer need to make sure that all CAs it supports
has different DNs.

/Stefan

own
of
globally
Chokhani
a
names

---

From: David Chadwick <[email-masked]>
Date: Fri, 17 Jun 2005 16:57:39 +0100

> supports has different DNs.

So if CAs can be sure to have globally unique DNs (which is what 
"different" implies), then why cant their subjects?

Regards

David

---

From: David Chadwick <[email-masked]>
Date: Fri, 17 Jun 2005 16:55:53 +0100

Stefan

> Any CA can use the X.509 standard to practically choose any way it wants

I hate to say it, but this sounds like Microsoft's typical cavalier 
attitude to standards.

A conformant CA can choose any way it wants to name its subjects as long 
as this way is conformant to the X.509 (and by reference to X.501) standard.

Many CA's today do not conform to X.509 naming rules.

regards

David

---

From: "Santosh Chokhani" <[email-masked]>
Date: Fri, 17 Jun 2005 14:08:55 -0400

David Chadwick,

In this whole issue of getting the correct CRL and revocation information,
the subject DN is not of interest.  The CA and CRL issuer name collisions
are the ones that cause the problem.

Thus, the subject DN debate is not relevant.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of David Chadwick
Sent: Friday, June 17, 2005 11:56 AM
To: Stefan Santesson
Cc: Manger, James H; pkix
Subject: Re: 3280bis: CRL validation

Stefan

Stefan Santesson wrote:
> X.509 is just a technical standard and not a legal directive. Any CA 
> can use the X.509 standard to practically choose any way it wants to 
> name its subjects.
> 

regards

David